// **** BEGIN LICENSE BLOCK ****
//   Copyright(c) 2009 MATSUZAWA Jiro
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
//   02110-1301, USA.  */
// **** END LICENSE BLOCK ****

var rencon;
if (!rencon) {
    rencon = {};
} else if (typeof rencon != "object") {
    throw new Error("");
}

// inherit abstract classs BibRecord

////////////////////////////////////////////////////
// public
////////////////////////////////////////////////////

rencon.ArticleRecord = function(
        title,
        creator,
        pubDate,
        url,
        journal,
        volume,
        pages
        )
{
    rencon.BibRecord.call(this, title, creator, pubDate, url);
    this.journal = (typeof journal == "string") ? journal : "";
    this.volume = (typeof volume == "string") ? volume : "";
    this.pages = (typeof pages == "string") ? pages : "";
}

rencon.ArticleRecord.prototype = new rencon.BibRecord();
rencon.ArticleRecord.prototype.constructor = rencon.ArticleRecord;
delete rencon.ArticleRecord.prototype.title;
delete rencon.ArticleRecord.prototype.creator;
delete rencon.ArticleRecord.prototype.pubDate;

rencon.ArticleRecord.prototype.
setJournal = function(
        journal
        )
{
    this.journal = (typeof journal == "string") ? journal : "";
}


rencon.ArticleRecord.prototype.
getJournal = function()
{
    return this.journal;
}


rencon.ArticleRecord.prototype.
setVolume = function(
        volume
        )
{
    this.volume = (typeof volume == "string") ? volume : "";
}


rencon.ArticleRecord.prototype.
getVolume = function()
{
    return this.volume;
}


rencon.ArticleRecord.prototype.
setPages = function(
        pages
        )
{
    this.pages = (typeof pages == "string") ? pages : "";
}


rencon.ArticleRecord.prototype.
getPages = function()
{
    return this.pages;
}


rencon.ArticleRecord.prototype.
toString = function()
{
    return this.title + this.creator + this.journal + this.volume + this.pubDate;
}

